Description

ES:
En symboligía > intervalos > calcular intervalos:
El color final nunca es alcanzado. Con los colores (rojo a azul) por defecto, ningún rango resulta color azul del todo.

EN:
at symbolgy > intervals > compute intervals:
The gradient never reaches the final color. With default colors (red to blue), no range becomes complitely blue

Associated revisions
Revision 42465 - 11/12/2015 09:33 AM - José Badía

refs #3574
ajuste del color final en leyenda por intervalos

Revision 42476 - 11/13/2015 12:26 PM - José Badía

refs #3574
modificar color final

History
#1 - 10/23/2015 12:04 PM - Álvaro Anguix
- Category set to Symbology

#2 - 10/26/2015 06:38 PM - Álvaro Anguix
- Assignee set to José Badía

#3 - 10/26/2015 06:42 PM - Álvaro Anguix
- Target version set to 98

#4 - 11/12/2015 09:35 AM - José Badía
- Status changed from New to Fixed
No es exactamente el mismo, pero se asemeja mucho más

#5 - 11/12/2015 09:36 AM - José Badía
- Target version changed from 98 to 2.3.0-2409  (rev. org.gvsig.desktop-2.0.115)

#6 - 11/12/2015 10:06 AM - Cesar Ordiñana

José Badía wrote:

No es exactamente el mismo, pero se asemeja mucho más

Hola José, una duda desde el desconocimiento: ¿por qué no puede ser el mismo color?

Supongo que hay un tema de cálculo de proporciones que no da un 100% para el último intervalo, o algo así. Pero, ¿no se podría hacer algo como
directamente coger para el último intervalo el valor del color final, en vez del calculado?

#7 - 11/12/2015 10:12 AM - José Badía

Cesar Ordiñana wrote:

José Badía wrote:

No es exactamente el mismo, pero se asemeja mucho más

Hola José, una duda desde el desconocimiento: ¿por qué no puede ser el mismo color?

Supongo que hay un tema de cálculo de proporciones que no da un 100% para el último intervalo, o algo así. Pero, ¿no se podría hacer algo
como directamente coger para el último intervalo el valor del color final, en vez del calculado?

Hola César,

exactamente es por lo que dices: se trata de un tema de cálculo de proporciones que, en la mayoría de casos no es exacta. Evidentemente se puede
hacer como dices y asignar al último tramo directamente el color final, pero se sacrificaría la linealidad de los colores de la progresión. Todo es
cuestión de gustos.

A pesar de todo, tanto si se rompe la linealidad en favor de poner el color final, como si no, la desviación es mínima y apenas se nota cuanto mayor
número de intervalos hay

#8 - 11/12/2015 01:03 PM - Cesar Ordiñana

José Badía wrote:

Hola César,

exactamente es por lo que dices: se trata de un tema de cálculo de proporciones que, en la mayoría de casos no es exacta. Evidentemente se
puede hacer como dices y asignar al último tramo directamente el color final, pero se sacrificaría la linealidad de los colores de la progresión. Todo
es cuestión de gustos.
A pesar de todo, tanto si se rompe la linealidad en favor de poner el color final, como si no, la desviación es mínima y apenas se nota cuanto
mayor número de intervalos hay

Gracias José!

Poniéndome en la piel del usuario, yo creo que es lo que realmente esperaría, que los valores iniciales y finales sean los que se han especificado.
Pero bueno, para gustos colores ;).

#9 - 11/12/2015 02:20 PM - Álvaro Anguix

Opino como César, creo que lo que espera el usuario es que se mantenga el color inicial y final, y se gradúen los valores intermedios lo mejor
posible.

#10 - 11/13/2015 12:27 PM - José Badía

Ok, cambiado queda tal y como sugerís

#11 - 12/21/2015 01:07 PM - Álvaro Anguix
- Status changed from Fixed to Closed
